# Gimp.Drawable.get_thumbnail_data

    @accepts(Gimp.Drawable, int, int, int, int, int)
    @returns(GLib.Bytes)
    def get_thumbnail_data(self, width, height, actual_width, actual_height, bpp):
        # Python wrapper for gimp_drawable_get_thumbnail_data()

Retrieves thumbnail data for the drawable identified by self. The thumbnail will be not larger than the requested size.

self

  the drawable

width

  the requested thumbnail width (<= 1024 pixels)

height

  the requested thumbnail height (<= 1024 pixels)

actual_width

  the resulting thumbnail's actual width

actual_height

  the resulting thumbnail's actual height

bpp

  the bytes per pixel of the returned thubmnail data

Returns